org.apache.felix.bundlerepository.impl

## Class RepositoryImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.RepositoryImpl

All Implemented Interfaces:
  Repository

    public class RepositoryImpl
    extends java.lang.Object
    implements Repository

### Field Summary

### Fields inherited from interface org.apache.felix.bundlerepository.Repository

`LOCAL, SYSTEM`

### Constructor Summary

Constructors
Constructor and Description
`RepositoryImpl()`
`RepositoryImpl(Resource[] resources)`

### Method Summary

Methods
`void` `addReferral(Referral referral)`
`void` `addResource(Resource resource)`
`long` `getLastModified()` Return the last modification date of this repository
`java.lang.String` `getName()` Return the name of this repository.
`Referral[]` `getReferrals()`
`Resource[]` `getResources()` Return the resources for this repository.
`java.lang.String` `getURI()` Return the associated URL for the repository.
`protected java.lang.Object` `put(java.lang.Object key, java.lang.Object value)` Default setter method when setting parsed data from the XML file, which currently ignores everything.
`void` `setLastModified(long lastModified)`
`void` `setLastModified(java.lang.String s)`
`void` `setName(java.lang.String name)`
`protected void` `setURI(java.lang.String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryImpl

    public RepositoryImpl()

#### RepositoryImpl

    public RepositoryImpl(Resource[] resources)

### Method Detail

#### getURI

    public java.lang.String getURI()

Description copied from interface: `Repository`
Return the associated URL for the repository.

Specified by:
  `getURI` in interface `Repository`

#### setURI

    protected void setURI(java.lang.String uri)

#### getResources

    public Resource[] getResources()

Description copied from interface: `Repository`
Return the resources for this repository.

Specified by:
  `getResources` in interface `Repository`

#### addResource

    public void addResource(Resource resource)

#### getReferrals

    public Referral[] getReferrals()

#### addReferral

    public void addReferral(Referral referral)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getName

    public java.lang.String getName()

Description copied from interface: `Repository`
Return the name of this repository.

Specified by:
  `getName` in interface `Repository`
Returns:
  a non-null name

#### setName

    public void setName(java.lang.String name)

#### getLastModified

    public long getLastModified()

Description copied from interface: `Repository`
Return the last modification date of this repository

Specified by:
  `getLastModified` in interface `Repository`
Returns:
  the last modification date

#### setLastModified

    public void setLastModified(long lastModified)

#### setLastModified

    public void setLastModified(java.lang.String s)

#### put

    protected java.lang.Object put(java.lang.Object key,
                       java.lang.Object value)

Default setter method when setting parsed data from the XML file, which currently ignores everything.